REM
REM **********************************************************************
REM Filename:	add_grants.sql    
REM Author:	Darryl Smith - Active Database Solutions, Inc.
REM Date:	1/31/94
REM
REM Description:
REM  	This programs create all of the alter table statements needed to 
REM add the constraints to the schema from an existing schema.
REM
REM Comments:
REM	The input variable is schema owner.  The output file is 
REM add_cons.lst
REM **********************************************************************
REM
REM
column tbl_alias noprint
column grantee noprint
column in_what_order noprint
column in_what_order2 noprint
@schema_start
spool &lst_dir./&Schema_Owner._add_grants.lst
select 'REM' from dual;
select 'REM Create all Grants Section' from Dual;
select 'REM' from dual;
select 'REM' from dual;
select table_name tbl_alias, grantee, 
	1 in_what_order,'1' in_what_order2,
	'Grant '
from all_tab_privs
where table_schema = upper('&Schema_Owner')
group by table_name, grantee
union
select ind.table_name tbl_alias, ind.grantee, 
	2 in_what_order,ind.privilege in_what_order2,
	'     '||ind.privilege||
	decode(max(grpprivs.privilege),ind.privilege,' ',',')
from all_tab_privs ind, all_tab_privs grpprivs
where ind.table_schema = upper('&Schema_Owner') and
	ind.table_name = grpprivs.table_name and
	ind.grantee = grpprivs.grantee
group by ind.table_name, ind.grantee, ind.privilege
union
select table_name tbl_alias, grantee, 
	3 in_what_order,'1' in_what_order2,
	' on '||table_name||' to '||grantee||';'
from all_tab_privs
where table_schema = upper('&Schema_Owner')
group by table_name, grantee
order by 2 desc,1,3,4;
select 'REM' from dual;
select 'Exit;' from dual;
spool off;
exit;
