REM
REM **********************************************************************
REM Filename:	create_comments.sql
REM Author:	Darryl Smith - Active Database Solutions, Inc.
REM Date:	1/31/94
REM
REM Description:
REM	This script generates the sql statements to create all of   
REM table and column comments in the database.
REM
REM Comments:
REM	The input variable is the owner of the schema.  The output file
REM is create_comments.lst
REM **********************************************************************
REM
REM
@schema_start
spool &lst_dir./&Schema_Owner._create_comments.lst
select 'REM' from dual;
select 'REM' from dual;
select 'REM Create all Comments Section' from Dual;
select 'REM' from dual;
select 'Comment on Table '||table_name||' Is '''||comments||''';' format_attrs
from all_tab_comments
where owner = upper('&schema_owner') and
	comments is not null	
order by table_name desc;
select 'REM' from dual;
select 'Exit;' from dual;
spool off;
exit;
