REM
REM **********************************************************************
REM Filename:	enable_constraints.sql 
REM Author:	Darryl Smith - Active Database Solutions, Inc.
REM Date:	1/31/94
REM
REM Description:
REM	This script generates the sql statements to enable all of   
REM constraints in the database.
REM
REM Comments:
REM	The input variable is the owner of the schema.  The output file
REM is enable_cons.lst
REM **********************************************************************
REM
REM
@schema_start
spool &lst_dir./&Schema_Owner._enable_constraints.lst
select 'REM' from dual;
select 'REM' from dual;
select 'REM Enable all Constraints Section' from Dual;
select 'REM' from dual;
select 'Alter Table '||table_name||' Enable Constraint '||
	constraint_name||';' format_attrs
from all_constraints
where owner = upper('&schema_owner') and
	constraint_type != 'C'
order by constraint_name desc;
select 'REM' from dual;
select 'Exit;' from dual;
spool off;
exit;
